# POST /notepads/folders/:folder_id/acl

**Resource:** [Notepads](./notepads.md)  
**MCP tool:** `add_notepad_folder_acl_entry`  
**Scopes:** `notepads:write`  
**Write operation:** yes

Grant access to a notepad folder (user or role principal).

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `folder_id` | path | string | yes |  |
| `principal_type` | body | string | yes |  |
| `principal_id` | body | string | yes |  |
| `permission` | body | string | no | read or write |

## Request example

```bash
curl -X POST   "https://api.trustpager.com/functions/v1/api/v1/notepads/folders/:folder_id/acl"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"principal_type":"...","principal_id":"...","permission":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`